import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.List;
import java.util.Vector;
/*
 * handles storing readings into files named according to the date. also moves files to the archive directory
 */
public class FileHandler {

	public static void moveFileToArchive(String file_name){
		File file = new File(PropertyFileValues.destination_dir+ "/"+ file_name);
		// Destination directory
		File dir = new File(PropertyFileValues.destination_dir+"Archive");
		// Move file to new directory
		boolean success = file.renameTo(new File(dir,file.getName()));
		if (!success) {
			// File was not successfully moved
			System.out.println("Unable to move file!");
		}


	}

}
